Powered by Invision Power Board


  
 
Reply to this topicStart new topicStart Poll

> permashift Meldung: Aufnahme: bla bla abschalten
theblackraven
Geschrieben am: Donnerstag, 01.Januar 2015, 21:39 Uhr
Quote Post


Advanced Member
***

Gruppe: G2V3+User
Beiträge: 60
Mitgliedsnummer.: 11715
Mitglied seit: 2009-11-05



Hi,

ich hab gerade ein wenig mit dem permashift plugin experimentiert. Allerdings kommt bei jedem Kanalwechsel "Aufnahme: Aktueller Sendungsname" im OSD. Das liegt allerdings an einem gen2vdr script. Ich weiß leider nicht mehr an welchem. Die Lösung stand glaub selber mal beim Autor vom plugin.
Email Poster
Top
MegaV0lt
Geschrieben am: Freitag, 02.Januar 2015, 08:25 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 760
Mitgliedsnummer.: 544
Mitglied seit: 2005-06-01



Die Meldung kommt vom /etc/vdr.d/scripts/g2v_rec_mesg.sh, welches vom /etc/vdr.d/scripts/g2v_record.sh aufgerufen wird...

Email PosterUsers WebsiteICQ
Top
globber
Geschrieben am: Freitag, 02.Januar 2015, 09:56 Uhr
Quote Post


Professional
****

Gruppe: Supporter
Beiträge: 981
Mitgliedsnummer.: 1783
Mitglied seit: 2007-03-24



Moin,

du solltest besser die neueste Version von permashift verwenden. Die Version 0.5.x (oder so) die im aktuellen Image enthalten ist, ist lang überholt und wenig verwendbar.

Allerdings gibt es auch bei der neuesten Version IMHO gewisse Einschränkungen in der Verwendbarkeit. Unter SD alles super, aber unter HD ist die Verwendung im Livebetrieb nicht flüssig.

"@EinEike" hat aber wohl kein HD und bekommt daher davon nichts mit. Um eine Ausstrahlung im Nachinein per Sofortaufnahme noch so weit zurück aufnehmen zu können wie der Arbeitsspeicher reicht, ist es aber auf jeden Fall auch bei HD gut.

Regards
Globber
Email PosterICQ
Top
theblackraven
Geschrieben am: Freitag, 02.Januar 2015, 11:51 Uhr
Quote Post


Advanced Member
***

Gruppe: G2V3+User
Beiträge: 60
Mitgliedsnummer.: 11715
Mitglied seit: 2009-11-05



Danke euch beiden.

@globber: Ich hatte bei mir die 0.5x Version jetzt ein halbes Jahr mit der vdr-2.1.1 Version auch im HD-Betrieb eigentlich flüssig am laufen. Wollte dann gestern auf die Version 1.1 von Permashift mit VDR 2.1.6 wechseln.
Allerdings konnte ich bei der hier im Forum angebotenen Version ( http://www.htpc-forum.de/forum/index.php?showtopic=9877 ) zwar den alten 0.5 Patch rauspatchen, der neue kollidierte leider mit irgend einem anderem Patch. Mit einem vanilla vdr 2.1.6 lassen sich zwar alle Plugins die ich benötige kompilieren, ich bekomme aber bei fast allein Plugins "uresolved symbols" beim Laden vom VDR, obwohl alles clean gebaut wurde.

Die Vanilla Version habe ich folgendermaßen versucht in Gen2VDR zu integrieren (Gedankenprotokoll) und der Ordner vdr-2.1.6_gen2vdr ist die Version aus dem zuvor verlinkten Thread:

CODE

rm /usr/local/src/VDR
cd /usr/local/src/
wget ftp://ftp.tvdr.de/vdr/Developer/vdr-2.1.6.tar.bz2
tar xjvf vdr-2.1.6.tar.bz2
ln -s vdr-2.1.6 VDR
cp /usr/local/src/vdr-2.1.6_gen2vdr/Plugins/src/* /usr/local/src/vdr-2.1.1/Plugins/src/
/_config/bin/build-vdr2.sh

Soll debug code erzeugt werden ? (J/n) --> j
Soll clean gebaut werden ? (J/n) --> j

Am Ende noch:
Soll "instvdr" ausgefuehrt werden ? (J/n) --> j


Allerdings bekomme ich auf diesen Weg diese "unresolved symbols" beim Laden vom VDR. Habe dann auch mal zum Testen folgendes probiert.



CODE

mv /usr/local/include/vdr /usr/local/include/vdr.old


Dies hat allerdings auch nicht funktioniert.


Wenn mir jemand dabei helfen kann, eine funktionierende Version von vdr-2.1.6 mit dem permashift-plugin 1.0.1 zu bauen, dann würde ich mich sehr darüber freuen.

Email Poster
Top
louis
Geschrieben am: Freitag, 02.Januar 2015, 12:10 Uhr
Quote Post


Professional
****

Gruppe: Admin
Beiträge: 356
Mitgliedsnummer.: 13346
Mitglied seit: 2010-04-21



Moin,

du musst die Make.config aus dem "alten" VDR Verzeichnis (/usr/local/src/vdr2.0.6 oder so ähnlich) in dein neues VDR Source Verzeichnis kopieren...anpassen musst du da eigentlich nichts mehr, das sollte so passen.

Ciao Louis
Email Poster
Top
HelAu
Geschrieben am: Freitag, 02.Januar 2015, 12:59 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 11014
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



Was haelt Dich denn davon ab die V5 zu installieren ?
Abgesehen davon dass es demnaechst ne 5.1 gibt, aber das kannst Du ja nicht wissen ;)
Email PosterUsers WebsiteICQAOLYahoo
Top
theblackraven
Geschrieben am: Freitag, 02.Januar 2015, 13:03 Uhr
Quote Post


Advanced Member
***

Gruppe: G2V3+User
Beiträge: 60
Mitgliedsnummer.: 11715
Mitglied seit: 2009-11-05



@louis vielen Dank. Jetzt klappt's auch mit der Vanillaversion.

@Das mit den Rucklern bei HD Sendern (also zumindest bei ARD und ZDF) kann ich wirklich nicht feststellen.
Email Poster
Top
Thema wird von 1 Benutzer(n) gelesen (1 Gäste und 0 Anonyme Benutzer)
0 Mitglieder:

Topic Options Reply to this topicStart new topicStart Poll